package router

func registerSeriesRoutes(cfg *Config) {
	jwtMiddleware := createJWTMiddleware(cfg)
	protected := cfg.Echo.Group("/api", jwtMiddleware)

	series := protected.Group("/series")
	series.GET("", cfg.SeriesHandler.GetSeries)
	series.GET("/books", cfg.SeriesHandler.GetSeriesBooks)
}
